package com.loafle.overflow.module.member.dao;

import com.loafle.overflow.module.member.model.Member;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * Created by insanity on 17. 5. 25.
 */
@Repository
public interface MemberDAO extends JpaRepository<Member, Long> {
    @Query("select m from Member m WHERE m.email = :#{#m2.email}")
    Member findByEmail(@Param("m2") Member member);
}
